### Method

# Hex Document write_async

#### Declaration

    void
    hex_document_write_async (
      HexDocument* doc,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Write the buffer to the pre-existing `GFile` connected to the `HexDocument` object. This can be used for a ‘Save (in place)’ operation. This is the non-blocking version of `hex_document_write()`.

Note that for both this method and `hex_document_write_to_file_async()`, `hex_document_write_finish()` is the method to retrieve the return value in your `GAsyncReadyCallback` function.

This method completes asynchronously. Use `hex_document_write_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to be called when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.